CommandServiceException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.cli, class: CommandServiceException

Package org.apache.geode.management.cli

# Class CommandServiceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.geode.management.cli.CommandServiceException

All Implemented Interfaces:
  `Serializable`

public class CommandServiceException extends Exception
Indicates that an exception occurred while accessing/creating a Command Service for processing GemFire Command Line Interface (CLI) commands.

Since:
  GemFire 7.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommandServiceException(String message)`
  Constructs a new `CommandServiceException` with the specified detail message.
  `CommandServiceException(String message, Throwable cause)`
  Constructs a new `CommandServiceException` with the specified detail message and cause.
  `CommandServiceException(Throwable cause)`
  Constructs a new `CommandServiceException` by wrapping the specified cause.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CommandServiceException

    public CommandServiceException(String message, Throwable cause)
    Constructs a new `CommandServiceException` with the specified detail message and cause.
    Parameters:
      `message` - The detail message.
      `cause` - The cause of this exception or `null` if the cause is unknown.

  - ### CommandServiceException

    public CommandServiceException(String message)
    Constructs a new `CommandServiceException` with the specified detail message.
    Parameters:
      `message` - The detail message.

  - ### CommandServiceException

    public CommandServiceException(Throwable cause)
    Constructs a new `CommandServiceException` by wrapping the specified cause. The detail for this exception will be null if the cause is null or cause.toString() if a cause is provided.
    Parameters:
      `cause` - The cause of this exception or `null` if the cause is unknown.